package com.quizquack.game;

import java.util.ArrayList;
import java.util.HashMap;

public class ScienceQuestion extends Question {

	public ScienceQuestion() {
		genQuestion();
		randomQuestion();
		randomChoice();
	}
	
	@Override
	public ArrayList getQuestionSet() {
		return questionSet;
	}
	
	public ArrayList<HashMap<String, String>> genQuestion() {
		questionSet = new ArrayList<HashMap<String,String>>();
		HashMap<String,String> q = new HashMap<String,String>();
		
		q.put("question", "แก๊สโอโซนในบรรยากาศชั้นสตราโตสเฟียร์มีบทบาทต่อสิ่งมีชีวิตบนโลกอย่างไร");
		q.put("c1", "ทำให้เกิดภาวะเรือนกระจก");
		q.put("c2", "ใช้ในการหายใจแทนแก๊สออกซิเจนได้");
		q.put("c3", "ดูดกลืนรังสีที่เป็นอันตรายไม่ให้ผ่านชั้นบรรยากาศลงมาถึงพื้นผิวโลก");
		q.put("c4", "ช่วยในการดูดซับความร้อนจากพื้นโลกไม่ให้หนีออกนอกบรรยากาศโลก");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "อุณหภูมิมีบทบาทสำคัญในการเปลี่ยนแปลงของสิ่งต่างๆ ยกเว้นข้อใด");
		q.put("c1", "อัตราการระเหยของน้ำ");
		q.put("c2", "ปริมาณไอน้ำในอากาศ");
		q.put("c3", "ทิศทางการพัดของลมมรสุม");
		q.put("c4", "ความชื้นสัมพัทธ์ของอากาศ");
		q.put("answer", "c1");
		questionSet.add(q);
	//	System.out.println(questionSet.get(0));
		
		q = new HashMap<String,String>();
		q.put("question", "อากาศที่มีความชื้นสัมพัทธ์ 100% มีผลตามข้อใด");
		q.put("c1", "ตากผ้าแห้งช้า ร่างกายรู้สึกเย็นสบาย");
		q.put("c2", "ตากผ้าแห้งเร็ว ร่างกายรู้สึกเย็นสบาย");
		q.put("c3", "ตากผ้าแห้งช้า ร่างกายรู้สึกอึดอัดและเหนียวตัว");
		q.put("c4", "ตากผ้าแห้งเร็ว ร่างกายรู้สึกอึดอัดและเหนียวตัว");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ขณะอากาศอิ่มตัวค่าความชื้นสัมพัทธ์เป็นอย่างไร");
		q.put("c1", "75%");
		q.put("c2", "90%");
		q.put("c3", "100%");
		q.put("c4", "สูงกว่า 100%");
		q.put("answer", "c3");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "บริเวณใดที่อากาศมีความชื้นสัมพัทธ์สูงกว่าบริเวณอื่น");
		q.put("c1", "ทุ่งหญ้า");
		q.put("c2", "ป่าโปร่ง");
		q.put("c3", "ทะเลทราย");
		q.put("c4", "ป่าดงดิบ");
		q.put("answer", "c3");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "ข้อใดกล่าวถูกต้อง");
		q.put("c1", "เวลากลางวันความกดอากาศเหนือพื้นดินต่ำกว่าพื้นน้ำ");
		q.put("c2", "ความกดอากาศเหนือพื้นดิน และพื้นน้ำมีค่าเท่ากันเสมอ");
		q.put("c3", "เวลากลางคืนความกดอากาศเหนือพื้นดินต่ำกว่าพื้นน้ำ");
		q.put("c4", "เวลากลางวันความกดอากาศเหนือพื้นดินสูงกว่าพื้นน้ำ");
		q.put("answer", "c1");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "บรรยากาศชั้นโทรโพสเฟียร์ เมื่อความสูงเพิ่มขึ้น ข้อใดสรุปถูกต้อง");
		q.put("c1", "ความดันอากาศต่ำลง");
		q.put("c2", "มวลของอากาศมากขึ้น");
		q.put("c3", "ความชื้นของอากาศต่ำลง");
		q.put("c4", "อุณหภูมิของอากาศสูงขึ้น");
		q.put("answer", "c1");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "บรรยากาศชั้นเทอร์โมสเฟียร์ มีลักษณะต่างจากบรรยากาศชั้นอื่นอย่างไร");
		q.put("c1", "มีอนุภาคของแก๊สเบาบางมากที่สุด");
		q.put("c2", "เป็นชั้นที่มีปรากฏการณ์ทางธรรมชาติ");
		q.put("c3", "มีแก๊สโอโซนมากกว่าบรรยากาศชั้นอื่น");
		q.put("c4", "สะท้อนคลื่นวิทยุได้ จึงมีประโยชน์ในการสื่อสาร");
		q.put("answer", "c4");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "การเกิดภาวะอากาศหนาวในฤดูหนาวของประเทศไทยได้รับอิทธิพลจากอะไร");
		q.put("c1", "หย่อมกดอากาศสูงจากมหาสมุทรอินเดีย");
		q.put("c2", "หย่อมกดอากาศต่ำจากมหาสมุทรอินเดีย");
		q.put("c3", "หย่อมกดอากาศสูงจากประเทศจีนและไซบีเรีย");
		q.put("c4", "หย่อมกดอากาศต่ำจากประเทศจีนและไซบีเรีย");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "เราจะรู้สึกอึดอัด เหนียวตัว เมื่อสภาพอากาศในวันนั้นเป็นอย่างไร");
		q.put("c1", "อากาศไม่มีไอน้ำ");
		q.put("c2", "ไอน้ำในอากาศมีน้อยมาก");
		q.put("c3", "อุณหภูมิของอากาศร้อนจัด");
		q.put("c4", "อากาศอิ่มตัวด้วยไอน้ำ");
		q.put("answer", "c4");
		questionSet.add(q);
		
		q = new HashMap<String,String>();
		q.put("question", "หลักการสำคัญของการทำฝนเทียมคือข้อใด");
		q.put("c1", "ทำให้เมฆกระจายออก");
		q.put("c2", "ทำให้เมฆมีน้ำหนักมากขึ้น");
		q.put("c3", "ทำให้ละอองน้ำมีขนาดโตขึ้น");
		q.put("c4", "ทำให้ไอน้ำในอากาศรวมตัวกัน");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อความใดน่าจะมีโอกาสพบบ่อยครั้งในการพยากรณ์อากาศของประเทศไทย");
		q.put("c1", "ตอนบนของประเทศอากาศเย็น มีหิมะตก");
		q.put("c2", "ภาคตะวันตกอาจเกิดพายุทะเลทราย");
		q.put("c3", "ภาคใต้ตอนล่างจะมีอากาศหนาวจัด");
		q.put("c4", "ภาคตะวันออกท้องฟ้ามีเมฆมาก");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "อาการระคายเคืองที่ตาหรือจมูก และเวียนศีรษะ มาจากการได้รับสารพิษใด");
		q.put("c1", "ฝุ่นละออง");
		q.put("c2", "ไฮโดรคาร์บอน");
		q.put("c3", "แก๊สซัลเฟอร์ไดออกไซด์");
		q.put("c4", "แก๊สคาร์บอนมอนอกไซด์");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อใดเป็นผลที่เกิดขึ้นจากภาวะโลกร้อน");
		q.put("c1", "พื้นที่ทะเลทรายมีฝนตกหนัก");
		q.put("c2", "ฝนตกทิ้งช่วงมีพื้นที่แห้งแล้งมากขึ้น");
		q.put("c3", "ออกซิเจนในอากาศลดปริมาณลง");
		q.put("c4", "ระดับน้ำทะเลลดลงอย่างมหาศาล");
		q.put("answer", "c2");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "โรงงานอุตสาหกรรมและโรงงานไฟฟ้าเป็นแหล่งที่ทำให้เกิดสารมลพิษชนิดใดมากที่สุด");
		q.put("c1", "ไอปรอท");
		q.put("c2", "เขม่า ควัน");
		q.put("c3", "แก๊สซัลเฟอร์ไดออกไซด์");
		q.put("c4", "แก๊สคาร์บอนไดออกไซด์");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "เครื่องมือในข้อใดไม่ใช่เครื่องมือวัดเกี่ยวกับอากาศ");
		q.put("c1", "บารอมิเตอร์");
		q.put("c2", "ไฮกรอมิเตอร์");
		q.put("c3", "เทอร์มอมิเตอร์");
		q.put("c4", "แกลแวนอมิเตอร์");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "เครื่องมือในข้อใดเกี่ยวกับความกดอากาศทั้งหมด");
		q.put("c1", "บารอมิเตอร์ บารอกราฟ แอลติมิเตอร์");
		q.put("c2", "บารอมิเตอร์ ไฮกรอมิเตอร์ แอลติมิเตอร์");
		q.put("c3", "อะนิโมมิเตอร์ บารอกราฟ ไฮกรอมิเตอร์");
		q.put("c4", "ไฮกรอมิเตอร์ ไฮโดรมิเตอร์ บารอมิเตอร์");
		q.put("answer", "c1");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "บรรยากาศชั้นใดที่สามารถสะท้อนคลื่นวิทยุ");
		q.put("c1", "โทรโพสเฟียร์");
		q.put("c2", "โอโซโนสเฟียร์");
		q.put("c3", "ไอโอโนสเฟียร์");
		q.put("c4", "เอกโซสเฟียร์");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "เซลล์สืบพันธุ์(sex cell)มีหน้าที่อะไร");
		q.put("c1", "นำข้อมูลทางพันธุกรรมจากพ่อแม่ถ่ายทอดให้แก่ลูก");
		q.put("c2", "ทำหน้าที่ผลิตเซลล์อสุจิ");
		q.put("c3", "ทำหน้าที่ผลิตไข่");
		q.put("c4", "ควบคุมการเคลื่อนไหวโดยรับคำสั่งจากสมองส่งผ่านเซลล์");
		q.put("answer", "c1");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "CO2 และ H2O คืออะไรตามลำดับ");
		q.put("c1", "น้ำและก๊าซออกซิเจน");
		q.put("c2", "น้ำและก๊าซคาร์บอนไดออกไซด์");
		q.put("c3", "ก๊าซคาร์บอนไดออกไซด์และน้ำ");
		q.put("c4", "ก๊าซคาร์บอนไดออกไซด์และออกซิเจน");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ไวรัสที่มีขนาดเล็กที่สุดประมาณ เท่าไร");
		q.put("c1", "10 มิลลิไมครอน");
		q.put("c2", "15 มิลลิไมครอน");
		q.put("c3", "13 มิลลิไมครอน");
		q.put("c4", "20 มิลลิไมครอน");
		q.put("answer", "c2");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "คำกล่าวใดถูกต้องมากที่สุด");
		q.put("c1", "มิวเทชันเกิดได้เฉพาะเซลล์สืบพันธุ์เท่านั้น");
		q.put("c2", "สิ่งแวดล้อมทำให้เกิดการเปลี่ยนแปลงทางพันธุกรรมได้");
		q.put("c3", "บริเวณเซลล์ร่างกายทั่ว ๆ ไปไม่สามารถเกิดมิวเทชันได้");
		q.put("c4", "มิวเทชันที่เซลล์สืบพันธุ์จะถ่ายทอดลักษณะที่เปลี่ยนแปลงไปสู่ลูกหลานได้");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อใดมีความหมายเกี่ยวกับกฎของนิวตันข้อที่1");
		q.put("c1", "แรงกริยาเท่ากับแรงปฏิกิริยา");
		q.put("c2", "พลังไม่สูญหายไปจากโลก");
		q.put("c3", "แรงที่ใช้ในการเคลื่อนที่มีค่าเท่ากับแรงต้านการเคลื่อนที่");
		q.put("c4", "ความเร่งและแรงลัพธ์มีทิศทางเดียวกัน");
		q.put("answer", "c1");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อใดไม่ใช่การเคลื่อนที่ในหนึ่งมิติ");
		q.put("c1", "การเคลื่อนที่แนวเส้นตรง");
		q.put("c2", "การเคลื่อนที่แนวราบ");
		q.put("c3", "การเคลื่อนที่เป็นเส้นโค้ง");
		q.put("c4", "การเคลื่อนที่แนวดิ่ง");
		q.put("answer", "c3");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อความใดกล่าวไม่ถูกต้อง");
		q.put("c1", "การเคลื่อนที่แบบเสรีของวัตถุในโลกพลังงานกลรวมย่อมมีค่าคงที่");
		q.put("c2", "พลังงานรวมของวัตถุจะไม่สูญหายไปไหนแต่อาจเปลี่ยนรูปได้");
		q.put("c3", "ผลรวมของพลังงานศักย์และพลังงานจลน์ของวัตถุเรียกว่าพลังงานกลรวม");
		q.put("c4", "ขณะวัตถุกำลังเคลื่อนที่จะทำให้เกิดพลังงานศักย์โน้มถ่วงขึ้น");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "นำน้ำ 70 ลบ.ซม. ผสมกับแอลกอฮอล์ 30 ลบ.ซม. ข้อใดถูกต้อง");
		q.put("c1", "น้ำเป็นตัวทำละลายเพราะมีปริมาตรมาก");
		q.put("c2", "น้ำเป็นตัวถูกละลายเพราะมีปริมาตรมาก");
		q.put("c3", "แอลกอฮอล์เป็นตัวทำละลายเพราะมีสถานะเป็นของเหลว");
		q.put("c4", "แอลกอฮอล์เป็นตัวถูกทำละลายเพราะมีสถานะเป็นของเหลว");
		q.put("answer", "c1");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อใดกล่าวถูกต้อง");
		q.put("c1", "เมื่ออุณหภูมิของสารละลายลดลงตัวถูกละลายจะละลายได้มากขึ้น");
		q.put("c2", "เมื่ออุณหภูมิของสารละลายมากขึ้นตัวถูกละลายจะละลายได้น้อยลง");
		q.put("c3", "เมื่ออุณหภูมิของสารละลายลดลงตัวถูกละลายจะละลายได้น้อยลง");
		q.put("c4", "เมื่ออุณหภูมิของสารละลายมากขึ้นตัวถูกละลายจะ ละลายได้มากขึ้น");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "เมื่อนำต้นเทียนแช่รากในน้ำหมึกแดง ทิ้งไว้จะเห็นสีแดงผ่านจากรากไปสู่ลำต้นเพราะเหตุใด");
		q.put("c1", "น้ำหมึกแดงออสโมซิสเข้าทางรากขึ้นไปสู่ลำต้น");
		q.put("c2", "น้ำหมึกแดงออสโมซิลเข้าทางท่อลำเลียงน้ำไปสู่ใบ");
		q.put("c3", "น้ำหมึกแดงออสโมซิสเข้าทางรากและแพร่ไปสู่ลำต้น");
		q.put("c4", "น้ำหมึกแดงออสโมซิสเข้าทางราก และออสโมซิลไปสู่ลำต้น");
		q.put("answer", "c2");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ข้อความใดกล่าวไม่ถูกต้อง");
		q.put("c1", "การเคลื่อนที่แบบเสรีของวัตถุในโลกพลังงาน กลรวมย่อมมีค่าคงที่");
		q.put("c2", "พลังงานรวมของวัตถุจะไม่สูญหายไปไหนแต่อาจเปลี่ยนรูปได้");
		q.put("c3", "ผลรวมของพลังงานศักย์และพลังงานจลน์ของวัตถุเรียกว่าพลังงานกลรวม");
		q.put("c4", "ขณะวัตถุกำลังเคลื่อนที่จะทำให้เกิดพลังงานศักย์โน้มถ่วงขึ้น");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "ที่เรียกว่า 20 V 50 Hz นั้น เลข 50 คืออะไร");
		q.put("c1", "50 V");
		q.put("c2", "50 A");
		q.put("c3", "50 W/Hz");
		q.put("c4", "50 รอบ/วินาที");
		q.put("answer", "c4");
		questionSet.add(q);

		q = new HashMap<String,String>();
		q.put("question", "อัตราส่วนระหว่างความต่างศักย์ไฟฟ้าและกระแสไฟฟ้าที่ไหลผ่านลวดนำไฟฟ้าใด ๆ  คือข้อใด");
		q.put("c1", "ปริมาณประจุไฟฟ้า");
		q.put("c2", "ความต้านทานไฟฟ้า");
		q.put("c3", "แรงเคลื่อนไฟฟ้า");
		q.put("c4", "ความต่างศักย์ไฟฟ้า");
		q.put("answer", "c2");
		questionSet.add(q);

		return questionSet; 
	}
}
